local ADDON_NAME, ENGINE = ...
table.insert(ENGINE, MissionMinder:CreateAddon(ADDON_NAME)) -- addon
table.insert(ENGINE, MissionMinder.options) -- options
table.insert(ENGINE, MissionMinder.locale) -- locale
table.insert(ENGINE, MissionMinder.ext) -- ext


---------------------------------------------
-- INITIALIZE
---------------------------------------------
local missionFrame = OrderHallMissionFrame
missionFrame.garrTypeID = LE_GARRISON_TYPE_7_0
MissionMinder:GetModule("MissionMinder/options").register(missionFrame)
MissionMinder:GetModule("MissionMinder/listView").register(missionFrame)
MissionMinder:GetModule("MissionMinder/missionPlanner").register(missionFrame)
MissionMinder:GetModule("MissionMinder/quickLoot").register(missionFrame)
MissionMinder:GetModule("MissionMinder/autoLoot").register(missionFrame)
MissionMinder:GetModule("MissionMinder/autoClose").register(missionFrame)
MissionMinder:GetModule("MissionMinder/skipFightAnimations").register(missionFrame)

MissionMinder:GetModule("MissionMinder/tracker").register(missionFrame)
